
<ion-label position="floating">{{name}}</ion-label>
<ion-input *ngIf="type === 'email'" [type]="type" ngModel email></ion-input>
<ion-input *ngIf="type === 'password'" [type]="type" ngModel minlength="6"></ion-input>
<ion-input *ngIf="type === 'text'" [type]="type" ngModel></ion-input>
<ion-input *ngIf="type === 'number'" [type]="type" ngModel></ion-input>
<ion-input *ngIf="type === 'tel'" [type]="type" ngModel></ion-input>
<ion-input *ngIf="type === 'currency'" [type]="type" ngModel></ion-input>
<!-- <ion-input *ngIf="type === 'date'" [type]="type" ngModel></ion-input>
<ion-input *ngIf="type === 'time'" [type]="type" ngModel></ion-input>
<ion-input *ngIf="type === 'url'" [type]="type" ngModel></ion-input>
<ion-input *ngIf="type === 'search'" [type]="type" ngModel></ion-input>
<ion-input *ngIf="type === 'color'" [type]="type" ngModel></ion-input>
<ion-input *ngIf="type === 'range'" [type]="type" ngModel></ion-input>
<ion-input *ngIf="type === 'checkbox'" [type]="type" ngModel></ion-input>
<ion-input *ngIf="type === 'radio'" [type]="type" ngModel></ion-input>
<ion-input *ngIf="type === 'file'" [type]="type" ngModel></ion-input>
<ion-input *ngIf="type === 'submit'" [type]="type" ngModel></ion-input> -->
